> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bolta.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Tax Invoice

> Retrieves the contents (including the NTS approval number) of an e-tax invoice whose status is `issuance complete`. It is not retrievable before issuance is complete.

Usage examples: [B2B transactions](/en/api-introduction/usecase-b2b) | [Recurring billing](/en/api-introduction/usecase-recurring)




## OpenAPI

````yaml /openapi.en.yaml get /v1/taxInvoices/{issuanceKey}
openapi: 3.1.0
info:
  title: Bolta API
  description: >
    The Bolta e-tax invoice API. [API Overview](/en/api-introduction/overview) |
    [Authentication guide](/en/api-introduction/authentication) | [Use
    cases](/en/api-introduction/usecase-b2b)
  version: 1.0.0
servers:
  - url: https://xapi.bolta.io
    description: Bolta API server
security:
  - basicAuth: []
tags:
  - name: Tax Invoice
    description: >
      Issue and manage e-tax invoices. [Calculating the issuance
      amount](/en/api-introduction/issuance-guide) | [Amendment
      types](/en/api-introduction/amendment-guide)
  - name: Reverse Issuance
    description: >
      Request and manage reverse issuance of e-tax invoices. [Email-approval
      reverse issuance](/en/api-introduction/usecase-reverse-email) |
      [Simple-approval reverse
      issuance](/en/api-introduction/usecase-reverse-simple)
  - name: Cash Receipt
    description: >
      Issue, cancel, and check the status of cash receipts. Issuance and
      cancellation are asynchronous. Check the final result via webhook or the
      status API. [Cash receipt guide](/en/api-introduction/cash-receipt-guide)
      | [Webhook events](/en/api-introduction/webhook-events)
  - name: Supplier
    description: >
      Register and manage the supplier (issuer) that issues tax invoices.
      [Glossary](/en/api-introduction/glossary) | [Delegated
      issuance](/en/api-introduction/usecase-delegated)
  - name: Certificate
    description: >
      Register and manage the supplier's certificate. [Authentication
      guide](/en/api-introduction/authentication)
paths:
  /v1/taxInvoices/{issuanceKey}:
    get:
      tags:
        - Tax Invoice
      summary: Retrieve Tax Invoice
      description: >
        Retrieves the contents (including the NTS approval number) of an e-tax
        invoice whose status is `issuance complete`. It is not retrievable
        before issuance is complete.


        Usage examples: [B2B transactions](/en/api-introduction/usecase-b2b) |
        [Recurring billing](/en/api-introduction/usecase-recurring)
      parameters:
        - name: issuanceKey
          in: path
          description: Issuance request identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  issuanceKey:
                    type: string
                    description: Issuance identification key
                  ntsTransactionId:
                    title: NTS approval number
                    description: NTS approval number
                    type: string
                  issuedAt:
                    title: 'Issuance timestamp (format: ISO 8601)'
                    description: 'Issuance timestamp (format: ISO 8601)'
                    type: string
                  invoice:
                    type: object
                    properties:
                      date:
                        $ref: '#/components/schemas/DateString'
                        title: Write date
                        description: Write date
                      purpose:
                        $ref: '#/components/schemas/IssuancePurpose'
                        title: Issuance purpose
                        description: 'RECEIPT: receipt, CLAIM: claim'
                      supplier:
                        $ref: '#/components/schemas/TaxInvoiceSupplier'
                      supplied:
                        $ref: '#/components/schemas/TaxInvoiceRecipient'
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/TaxInvoiceItem'
                        minItems: 1
                        maxItems: 16
                      description:
                        type: string
                        title: Tax invoice note
                        description: Tax invoice note
                        minLength: 1
                        maxLength: 150
                    required:
                      - purpose
                      - supplied
                      - supplier
                      - items
                      - date
                required:
                  - issuanceKey
                  - ntsTransactionId
                  - invoice
                  - issuedAt
          headers: {}
      deprecated: false
components:
  schemas:
    DateString:
      type: string
      format: date
      examples:
        - '2024-08-24'
    IssuancePurpose:
      type: string
      description: 'RECEIPT: receipt, CLAIM: claim'
      enum:
        - RECEIPT
        - CLAIM
    TaxInvoiceSupplier:
      type: object
      properties:
        identificationNumber:
          $ref: '#/components/schemas/BusinessRegistrationNumber'
          title: Business registration number
          description: Business registration number
        taxRegistrationId:
          title: Sub-business place code
          description: Sub-business place code
          anyOf:
            - $ref: '#/components/schemas/TaxRegistrationId'
            - type: 'null'
        organizationName:
          $ref: '#/components/schemas/OrganizationName'
          title: Organization name
          description: Organization name
        representativeName:
          $ref: '#/components/schemas/RepresentativeName'
          title: Representative name
          description: Representative name
        address:
          title: Address
          description: Address
          anyOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
        businessItem:
          title: Business item
          description: Business item
          anyOf:
            - $ref: '#/components/schemas/BusinessItem'
            - type: 'null'
        businessType:
          title: Business type
          description: Business type
          anyOf:
            - $ref: '#/components/schemas/BusinessType'
            - type: 'null'
        manager:
          $ref: '#/components/schemas/TaxInvoiceManager'
          title: Manager
          description: Manager
      required:
        - identificationNumber
        - manager
        - organizationName
        - representativeName
    TaxInvoiceRecipient:
      type: object
      properties:
        identificationNumber:
          $ref: '#/components/schemas/RecipientIdentificationNumber'
          title: >-
            Identification number (business registration number, resident
            registration number, foreign registration number)
          description: >-
            Identification number (business registration number,
            resident-registration-number format, foreign-registration-number
            format)
        taxRegistrationId:
          title: Sub-business place code
          description: >-
            If the recipient's identification number is not a business
            registration number, pass `null` or omit the field.
          anyOf:
            - $ref: '#/components/schemas/TaxRegistrationId'
            - type: 'null'
        organizationName:
          $ref: '#/components/schemas/OrganizationName'
          title: Organization name
          description: Organization name
        representativeName:
          $ref: '#/components/schemas/RepresentativeName'
          title: Representative name
          description: Representative name
        address:
          title: Address
          description: Address
          anyOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
        businessItem:
          title: Business item
          description: Business item
          anyOf:
            - $ref: '#/components/schemas/BusinessItem'
            - type: 'null'
        businessType:
          title: Business type
          description: Business type
          anyOf:
            - $ref: '#/components/schemas/BusinessType'
            - type: 'null'
        managers:
          type: array
          items:
            $ref: '#/components/schemas/TaxInvoiceManager'
          title: Manager
          description: Manager
          minItems: 1
          maxItems: 2
      required:
        - representativeName
        - managers
        - identificationNumber
        - organizationName
    TaxInvoiceItem:
      type: object
      properties:
        date:
          $ref: '#/components/schemas/DateString'
          title: Item supply date
          description: Item supply date
        name:
          type: string
          title: Item name
          description: Item name
          maxLength: 100
          minLength: 1
        unitPrice:
          type:
            - integer
            - 'null'
          title: Unit price
          description: Unit price
          minimum: 0
          exclusiveMinimum: 0
          examples:
            - 100
        quantity:
          type:
            - integer
            - 'null'
          title: Quantity
          description: Quantity
        supplyCost:
          type: integer
          title: Supply cost
          description: Supply cost
          minimum: 1
          examples:
            - 1000
        tax:
          type:
            - integer
            - 'null'
          title: Tax
          description: >-
            Tax. Pass a non-`null` value when `taxType` is `TAXABLE`, `0` when
            `ZERO_RATE`, and `null` when `TAX_FREE`.
          minimum: 0
          examples:
            - 0
            - 100
        specification:
          type:
            - string
            - 'null'
          title: Specification
          description: Specification
          maxLength: 60
        description:
          type:
            - string
            - 'null'
          title: Item note
          description: Item note
          maxLength: 100
      required:
        - date
        - name
        - supplyCost
    BusinessRegistrationNumber:
      type: string
      title: Business registration number
      description: '10 digits without hyphens (-). Pattern: `^\d{10}$`'
      pattern: ^\d{10}$
      examples:
        - '1234567890'
    TaxRegistrationId:
      type: string
      title: Sub-business place code
      description: '4 digits, excluding `0000`. Pattern: `^(?!0{4})\d{4}$`'
      pattern: ^(?!0{4})\d{4}$
      examples:
        - '0001'
        - '0002'
      minLength: 4
      maxLength: 4
    OrganizationName:
      type: string
      title: Organization name
      description: Organization name
      maxLength: 70
      minLength: 1
    RepresentativeName:
      type: string
      title: Representative name
      description: Representative name
      minLength: 1
      maxLength: 30
    Address:
      type: string
      title: Address
      description: Address
      maxLength: 150
      minLength: 1
    BusinessItem:
      type: string
      title: Business item
      description: Business item
      maxLength: 100
      examples:
        - Software development and supply
      minLength: 1
    BusinessType:
      type: string
      title: Business type
      description: Business type
      maxLength: 100
      examples:
        - Information and communications
      minLength: 1
    TaxInvoiceManager:
      type: object
      properties:
        email:
          $ref: '#/components/schemas/Email'
          title: Email
          description: Email
        name:
          type:
            - string
            - 'null'
          title: Name
          description: Name
          maxLength: 30
          minLength: 1
        telephone:
          type:
            - string
            - 'null'
          title: Mobile phone number
          description: >-
            Mobile phone number. If provided, a KakaoTalk notification
            (AlimTalk) is sent to the manager. Pattern: `^010-\d{4}-\d{4}$`
          maxLength: 20
          examples:
            - 010-1234-5678
          pattern: ^010-\d{4}-\d{4}$
      required:
        - email
    RecipientIdentificationNumber:
      type: string
      title: Identification number
      description: >-
        10-digit business registration number, 13-digit
        resident-registration-number format, or 13-digit
        foreign-registration-number format. Digits without hyphens (-).
      pattern: ^\d{10}(\d{3})?$
      examples:
        - '1234567890'
        - '9001011234567'
        - '9001015234567'
    Email:
      type: string
      title: Email
      description: >-
        Pattern:
        `^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$`
      format: email
      pattern: ^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
      maxLength: 40
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Base64-encode your API key and pass it. Enter the API key as the
        username and leave the password empty.

````